import { InjectionToken } from "@angular/core";
export type LocalessBrowserConfig = {
    /**
     * A fully qualified domain name with protocol (http/https) and port.
     *
     * Example: https://my-localess.web.app
     */
    origin: string;
    /**
     * Localess space ID can be found in the Localess Space settings
     */
    spaceId: string;
    /**
     * Path to the assets
     */
    assetPathPrefix: string;
    /**
     * Enable debug mode
     */
    debug?: boolean;
};
export declare const LOCALESS_BROWSER_CONFIG: InjectionToken<LocalessBrowserConfig>;
export declare const defaultBrowserConfig: LocalessBrowserConfig;
