import { EnvironmentProviders } from "@angular/core";
export type LocalessBrowserOptions = {
    /**
     * A fully qualified domain name with protocol (http/https) and port.
     *
     * Example: https://my-localess.web.app
     */
    origin: string;
    /**
     * Localess space ID can be found in the Localess Space settings
     */
    spaceId: string;
    /**
     * Enable debug mode
     */
    debug?: boolean;
    /**
     * Enable Sync Script Load
     */
    enableSync?: boolean;
};
export declare function provideLocalessBrowser(options: LocalessBrowserOptions): EnvironmentProviders[];
