import { HttpClient } from '@angular/common/http';
import { ContentData } from '@localess/js-client';
import { Observable } from 'rxjs';
import type { Content, Links, ContentFetchParams, LinksFetchParams } from "../models";
import * as i0 from "@angular/core";
export declare class ServerContentService {
    readonly httpClient: HttpClient;
    config: import("../localess.config").LocalessServerConfig;
    constructor(httpClient: HttpClient);
    /**
     * Get all links
     * @returns {Observable<Links>}
     */
    getLinks(params?: LinksFetchParams): Observable<Links>;
    /**
     * Get content by SLUG
     * @param slug{string} - Content SLUG
     * @param params{ContentFetchParams} - Fetch parameters
     * @returns {Observable<Content>}
     */
    getContentBySlug<T extends ContentData = ContentData>(slug: string, params?: ContentFetchParams): Observable<Content<T>>;
    /**
     * Get content by ID
     * @param id{string} - Content ID
     * @param params{ContentFetchParams} - Fetch parameters
     * @returns {Observable<Content>}
     */
    getContentById<T extends ContentData = ContentData>(id: string, params?: ContentFetchParams): Observable<Content<T>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ServerContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ServerContentService>;
}
